Package net.shibboleth.idp.cas.audit.impl

# Class TicketLookupFunction

java.lang.Object
net.shibboleth.idp.cas.audit.impl.TicketLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class TicketLookupFunction extends Object implements Function<ProfileRequestContext,String>
Looks up the service (proxy) ticket provided in a CAS protocol request or produced in a CAS protocol response.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,ProtocolContext>`
`protocolContextFunction`
Lookup strategy for protocol context.

## Constructor Summary

Constructors
Constructor
Description
`TicketLookupFunction()`
Constructor.
`TicketLookupFunction(Function<ProfileRequestContext,ProtocolContext> protocolLookup)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`
Get service (proxy) ticket.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### protocolContextFunction

@Nonnull private final Function<ProfileRequestContext,ProtocolContext> protocolContextFunction
Lookup strategy for protocol context.

## Constructor Details

### TicketLookupFunction

public TicketLookupFunction()
Constructor.

### TicketLookupFunction

public TicketLookupFunction(@Nonnull Function<ProfileRequestContext,ProtocolContext> protocolLookup)
Constructor.

Parameters:
  `protocolLookup` - lookup strategy for protocol context

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)
Get service (proxy) ticket.

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`